import request from '@/utils/request'

// 查询转场列表
export function listTransition_info(query) {
  return request({
    url: 'produce/manage_sheep/transition_info/list',
    method: 'get',
    params: query
  })
}

// 查询转场详细
export function getTransition_info(id) {
  return request({
    url: 'produce/manage_sheep/transition_info/' + id,
    method: 'get'
  })
}

// 新增转场
export function addTransition_info(data) {
  return request({
    url: 'produce/manage_sheep/transition_info',
    method: 'post',
    data: data
  })
}

// 修改转场
export function updateTransition_info(data) {
  return request({
    url: 'produce/manage_sheep/transition_info',
    method: 'put',
    data: data
  })
}

// 删除转场
export function delTransition_info(id) {
  return request({
    url: 'produce/manage_sheep/transition_info/' + id,
    method: 'delete'
  })
}
